CreateCustomDomain
POST/gitpod.v1.OrganizationService/CreateCustomDomain
Creates a custom domain configuration for an organization.
Use this method to configure custom domains for organization workspaces
Examples
-
Configure AWS custom domain:
Sets up a custom domain with AWS provider.
organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047" domainName: "workspaces.acme-corp.com" provider: CUSTOM_DOMAIN_PROVIDER_AWS awsAccountId: "123456789012"
Body ParametersJSON
organizationId: string
organization_id is the ID of the organization to create the custom domain for
formatuuid
DeprecatedawsAccountId: optional string
aws_account_id is the AWS account ID (deprecated: use cloud_account_id)
CreateCustomDomain
curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/CreateCustomDomain \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $GITPOD_API_KEY" \
-d '{
"domainName": "workspaces.acme-corp.com",
"organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
}'{
"customDomain": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"createdAt": "2019-12-27T18:11:19.117Z",
"domainName": "xxxx",
"organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"updatedAt": "2019-12-27T18:11:19.117Z",
"awsAccountId": "awsAccountId",
"cloudAccountId": "cloudAccountId",
"provider": "CUSTOM_DOMAIN_PROVIDER_UNSPECIFIED"
}
}Returns Examples
{
"customDomain": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"createdAt": "2019-12-27T18:11:19.117Z",
"domainName": "xxxx",
"organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"updatedAt": "2019-12-27T18:11:19.117Z",
"awsAccountId": "awsAccountId",
"cloudAccountId": "cloudAccountId",
"provider": "CUSTOM_DOMAIN_PROVIDER_UNSPECIFIED"
}
}